View Issue Details

IDProjectCategoryView StatusLast Update
0036094LazarusIDEpublic2019-10-09 13:34
ReporterserbodAssigned ToJuha Manninen 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionProduct Build61901 
Target VersionFixed in Version 
Summary0036094: Undoing visual control deletion cause captions transcoding
DescriptionWhen undoing visual controls deletion, they restored with captions in wrong codepage. Bug reproduced in trunk version, stable release not affected. Tested on Windows x64
Steps To Reproduce1. Place some visual controls on form and set Unicode (non-ASCII) captions
2. Select and delete controls
3. Undo (Ctrl-Z)
TagsNo tags attached.
Fixed in Revisionr61976
LazTarget-
WidgetsetWin32/Win64
Attached Files

Activities

Juha Manninen

2019-10-04 01:02

developer   ~0118304

Trunk version of Lazarus or of FPC?

serbod

2019-10-04 08:31

reporter   ~0118310

Both

Juha Manninen

2019-10-05 09:53

developer   ~0118343

Please test with the latest Lazarus trunk. In r61976 Mattias committed a fix affecting the encoding of TStrings methods.

serbod

2019-10-07 09:35

reporter   ~0118387

Tested on r62005 - undoung deletion without problems, with correct captions. Well done!

Juha Manninen

2019-10-08 19:32

developer   ~0118428

Great!
Resolving.

Issue History

Date Modified Username Field Change
2019-09-20 14:11 serbod New Issue
2019-10-04 01:02 Juha Manninen Note Added: 0118304
2019-10-04 01:02 Juha Manninen Status new => feedback
2019-10-04 01:02 Juha Manninen LazTarget => -
2019-10-04 08:31 serbod Note Added: 0118310
2019-10-04 08:31 serbod Status feedback => new
2019-10-05 09:53 Juha Manninen Note Added: 0118343
2019-10-05 22:53 Juha Manninen Assigned To => Juha Manninen
2019-10-05 22:53 Juha Manninen Status new => assigned
2019-10-05 22:53 Juha Manninen Status assigned => feedback
2019-10-07 09:35 serbod Note Added: 0118387
2019-10-07 09:35 serbod Status feedback => assigned
2019-10-08 19:32 Juha Manninen Status assigned => resolved
2019-10-08 19:32 Juha Manninen Resolution open => fixed
2019-10-08 19:32 Juha Manninen Fixed in Revision => r61976
2019-10-08 19:32 Juha Manninen Widgetset Win32/Win64 => Win32/Win64
2019-10-08 19:32 Juha Manninen Note Added: 0118428
2019-10-09 13:34 serbod Status resolved => closed